Loyalty.lt
Games

Get a customer's game history

Returns finished game rounds for a loyalty card.

GET/{locale}/shop/cards/{cardId}/games/history

Returns finished game rounds for a loyalty card.

Authorization

apiKey apiSecret
X-API-Key<token>

Partner API key from the Partners Portal. Always sent together with X-API-Secret.

In: header

X-API-Secret<token>

Partner API secret. Always sent together with X-API-Key.

In: header

Path Parameters

locale*string

Locale code

Value in

  • "lt"
  • "en"
cardId*integer

Loyalty card ID

Query Parameters

shop_id?integer

Limit to one shop.

Response Body

application/json

curl -X GET "https://example.com/lt/shop/cards/45/games/history"
{  "success": true,  "code": 200,  "request_id": "550e8400-e29b-41d4-a716-446655440000",  "message": "Success message",  "data": {}}